Package twisted :: Package flow :: Module wrap :: Class _String

[frames | no frames]

## Class _String

    Instruction --+
                  |
              Stage --+
                      |
                     _String

Wrapper for a string object; don't create directly use flow.wrap

This is probably the simplest stage of all. It is a constant list of one item. See wrap for an example.

Method Summary
| `__init__(self, str)`
| ``_yield`(self)` executed during a yield statement by previous stage
Inherited from Stage
| ``__iter__`(self)`
| ``next`(self)` return current result

Method Details

### _yield(self)

executed during a yield statement by previous stage

This method is private within the scope of the flow module, it is used by one stage in the flow to ask a subsequent stage to produce its value. The result of the yield is then stored in self.result and is an instance of Failure if a problem occurred.

  Overrides:
    `twisted.flow.base.Stage._yield` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:08:20 2004 | http://epydoc.sf.net